"""
Programme principal pour jeu du pendu
"""
#imports nécessaires
from outils.pendu import Pendu
#mise en place d'une boucle pour réaliser plusieurs parties (tant que l'utilisateur saisit "oui")
continuer = 'oui'
#on continue ?
while continuer == 'oui':
    #oui, nouvelle partie
    #saisie du nombre d'erreurs
    nb_erreur = input("Nombre d'erreurs: ")
    #attention, passage en int pour nb_erreur (par défaut, c'est une type str)
    #création d'un jeu
    jeu = Pendu(int(nb_erreur))
    #lancement d'une partie
    jeu.lancer()
    #partie terminée, on recommence ?
    continuer = input("Nouvelle partie ? oui/non: ")

